| Cantera 3.0.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Log1 Class Reference
Numerical Utilities » Functor Objects » Simple Functors

Implements the `log()` (natural logarithm) function. More...

`#include <Func1.h>`

Inheritance diagram for Log1:
[legend]

## Detailed Description

Implements the `log()` (natural logarithm) function.

The functor class with type `"log"` returns \( f(x) = \ln(a x) \).

Parameters

  a | Factor (default=1.0)

Since
  New in Cantera 3.0

Definition at line 413 of file Func1.h.

## Public Member Functions
| Log1 (double a=1.0)
| Log1 (const vector< double > &params)
| Constructor uses single parameter (factor)
string | type () const override
| Returns a string describing the type of the function.
double | eval (double t) const override
| Evaluate the function.
shared_ptr< Func1 > | derivative3 () const override
| Creates a derivative to the current function.
string | write (const string &arg) const override
| Write LaTeX string describing function.
Public Member Functions inherited from Func1
| Func1 (shared_ptr< Func1 > f1, shared_ptr< Func1 > f2)
| Func1 (shared_ptr< Func1 > f1, double A)
| Func1 (const Func1 &right)
Func1 & | operator= (const Func1 &right)
virtual Func1 & | duplicate () const
| Duplicate the current function.
virtual int | ID () const
string | typeName () const
| Returns a string with the class name of the functor.
double | operator() (double t) const
| Calls method eval to evaluate the function.
virtual Func1 & | derivative () const
| Creates a derivative to the current function.
bool | isIdentical (Func1 &other) const
| Routine to determine if two functions are the same.
virtual double | isProportional (TimesConstant1 &other)
virtual double | isProportional (Func1 &other)
double | c () const
| Accessor function for the stored constant.
void | setC (double c)
| Function to set the stored constant.
Func1 & | func1 () const
| accessor function for m_f1
shared_ptr< Func1 > | func1_shared () const
| Accessor function for m_f1_shared.
Func1 & | func2 () const
| accessor function for m_f2
shared_ptr< Func1 > | func2_shared () const
| Accessor function for m_f2_shared.
virtual int | order () const
| Return the order of the function, if it makes sense.
Func1 & | func1_dup () const
Func1 & | func2_dup () const
Func1 * | parent () const
void | setParent (Func1 *p)

## Additional Inherited Members
Protected Attributes inherited from Func1
double | m_c = 0.0
Func1 * | m_f1 = nullptr
Func1 * | m_f2 = nullptr
Func1 * | m_parent = nullptr
shared_ptr< Func1 > | m_f1_shared
shared_ptr< Func1 > | m_f2_shared

## Constructor & Destructor Documentation

## ◆ Log1() [1/2]

Log1 | ( | double | a = `1.0` | ) |
| inline

Definition at line 416 of file Func1.h.

## ◆ Log1() [2/2]

Log1 | ( | const vector< double > & | params | ) |

Constructor uses single parameter (factor)

Definition at line 284 of file Func1.cpp.

## Member Function Documentation

## ◆ type()

string type | ( |  | ) | const
| inline override virtual

Returns a string describing the type of the function.

Since
  New in Cantera 3.0.

Reimplemented from Func1.

Definition at line 423 of file Func1.h.

## ◆ eval()

double eval | ( | double | t | ) | const
| inline override virtual

Evaluate the function.

Reimplemented from Func1.

Definition at line 427 of file Func1.h.

## ◆ derivative3()

shared_ptr< Func1 > derivative3 | ( |  | ) | const
| override virtual

Creates a derivative to the current function.

This will create a new derivative function

Returns
  shared pointer to new derivative function.

Since
  New in Cantera 3.0.

Reimplemented from Func1.

Definition at line 293 of file Func1.cpp.

## ◆ write()

string write | ( | const string & | arg | ) | const
| override virtual

Write LaTeX string describing function.

Reimplemented from Func1.

Definition at line 302 of file Func1.cpp.

The documentation for this class was generated from the following files:

- Func1.h
- Func1.cpp